<div class="wrapper">
    @if (isAuthorized) {
        <button mat-stroked-button color="primary" (click)="goToManagement()">
            <mat-icon fontIcon="arrow_back"></mat-icon>
            Back
        </button>
        <h1 class="pageTitle">Create Post</h1>
        <form class="editForm" [formGroup]="postForm" (ngSubmit)="onSubmit()">
            <mat-form-field class="fielc">
                <mat-label>Title</mat-label>
                <input type="text" matInput formControlName="title"> 
                <mat-error>Enter a title</mat-error>
            </mat-form-field>
            <mat-form-field class="fielc">
                <mat-label>Description </mat-label>
                <textarea type="text" matInput formControlName="description"></textarea>
                <mat-error>Enter a description</mat-error>
            </mat-form-field>
            <mat-form-field class="fielc">
                <mat-label>Content </mat-label>
                <textarea type="text" matInput formControlName="content"></textarea>
                <mat-error>Enter some content</mat-error>
            </mat-form-field>
            <mat-checkbox style="margin-bottom: 10px;" formControlName="isAnEvent">Event</mat-checkbox>
            @if (postForm.value.isAnEvent) {
                <mat-form-field class="fielc">
                    <mat-label>Place</mat-label>
                    <input type="text" matInput formControlName="place"> 
                </mat-form-field>
                <mat-form-field>
                    <input matInput type="datetime-local" placeholder="start date" formControlName="eventDate">
                </mat-form-field>
            }

            <div class="buttons">
                <button [disabled]="!postForm.valid" id="publishButton" mat-stroked-button color="accent" type="submit">Publish</button>
                <button mat-stroked-button [disabled]="!postForm.valid" color="accent" (click)="saveAsDraft()">Save as a Draft</button>
            </div>
        </form>
    } @else {
    <p>Nothing to see here</p>
    }
</div>